package exercise1;

public class ATM implements ATMInterface {

	private double balance = 5000;
	
	@Override
	public void depositMoney(double amount) {
		if ( amount > 0 )
			balance += amount;
		else
			System.out.println("Error! The amount must be a positive number");

	}

	@Override
	public void withdrawMoney(double amount) {
		if ( amount <= 0 ) {
			System.out.println("Error! The amount must be positive");
			return;
		}
		if ( amount > balance )
			System.out.println("Error! Not enought money to withdraw");
		else {
			balance -= amount;
			System.out.println("Balance after withdrawal: " + balance);
		}
		
	}
	
	public void printBalance() {
		System.out.println("The current balance is: " + balance);
	}


}
