package exercise2.people;

public class Person {

	private String name = "NA"; //NA = Not Available
	private String surname = "NA";
	
	public String getName() {
		return name;
	}
	
	public void setName(String name) {
		if ( name != null && name.length() > 0)
			this.name = name;
	}
	
	public String getSurname() {
		return surname;
	}
	
	public void setSurname(String surname) {
		this.surname = surname;
	}
	
	@Override
	public String toString() {
		
		return name + " " + surname;
	}
	
	@Override
	public boolean equals(Object obj) {
		if (obj instanceof Person) {
			Person p = (Person)obj;
			if ( p.name.equals(this.name) &&
					p.surname.equals(this.surname))
				return true;
			else return false;
		} else {
			System.out.println("The input parameter is not Person");
			return false;
		}
	}
}
